{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
  {{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

  <!-- curtain -->
  <div class="art-curtain"></div>


  <!-- swup container -->
  <div class="transition-fade" id="swup">

    <!-- scroll frame -->
    <div id="scrollbar" class="art-scroll-frame">

      <!-- container -->
      <div class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">
        <!-- Back Button -->
        {% include "home/inc/back_btn.html" %}
        <!-- Back Button -->

        <!-- Display the errors -->
        {% include "home/inc/messages.html" %}
        <!-- Display the errors -->
        
        <section id='update-home-details-wrapper' class="mt-5">
          <form method="POST" class="mb-5">
            {% csrf_token %}

            <div class="form-group row art-form-field">
              <label for="step" class="col-sm-2 col-form-label">
                {% render_field steps_form.step.label %}
              </label>
              <div class="col-sm-10">
                <!-- input -->
                {% render_field steps_form.step class+="art-input custom-art-input" id="step" %}
              </div>
            </div>
            <!-- form field end -->
            <!-- button -->
            <div class="art-submit-frame {% if LANGUAGE_CODE == 'en' %}text-right{% else %}text-left{% endif %}">
              <button class="art-btn art-btn-md art-submit" type="submit">
                <span>{% trans 'Add' %}</span>
              </button>
              <!-- success -->
            </div>
          </form>
          <hr />

          <section id="steps-table">
            <table class="table table-dark table-striped">
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">
                    {% trans 'Step' %}
                  </th>
                  <th colspan="3" class="text-center">
                    {% trans "Delete" %}
                  </th>
                </tr>
              </thead>
              <tbody>
                {% for step in all_steps %}
                <tr>
                  <th scope="row">
                    {{ step.pk }}
                  </th>
                  <td colspan="3">
                    {{step.step}}
                  </td>
                  <td class="text-center">
                    <form action="{% url 'dashboard-delete-step' step.pk %}" method="POST">
                      {% csrf_token %}
                      <button type="submit" class="art-btn p-2">
                        <i class="fas fa-trash" style="font-size: 17px;"></i>
                      </button>
                    </form>
                  </td>
                </tr>
                {% endfor %}

              </tbody>
            </table>
          </section>
        </section>

      </div>
      <!-- container end -->




    </div>
    <!-- scroll frame end -->

  </div>
  <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}